@mixin flex-centering {
  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin horizontal-line {
  position: absolute;
  left: 0;
  display: inline-block;
  width: 100%;
  height: 1px;
  background-color: #5e5c5c;
  content: "";
}

@mixin fsz-14 ($divider: 1) {
  font-size: 14px / $divider;
  line-height: 14px / $divider;
}

@mixin login-form-label {
  position: relative;
  display: block;
  &:not(:first-child) {
    margin-top: 20px;
  }
}

@mixin login-form-input {
  @include fsz-14;
  width: 100%;
  padding-top: 13px;
  padding-bottom: 13px;
  padding-left: 15px;
  color: #333;
  border: 1px solid #d3d7da;
  border-radius: 2px;
}

@mixin login-form-input-title {
  @include fsz-14;
  display: inline-block;
  width: 100%;
  margin-bottom: 5px;
  font-family: "Open Sans", $font-stack;
  text-align: left;
  text-transform: capitalize;
}

@mixin login-form-submit-btn {
  @include fsz-14;
  margin-top: 30px;
  padding-top: 18px;
  padding-bottom: 18px;
  color: $white-color;
  font-weight: 700;
  text-transform: uppercase;
  background-color: $main-green-color;
  border-radius: 2px;
  box-shadow: rgba(0, 0, 0, .24) 0 2px 2px 0, rgba(0, 0, 0, .24) 0 0 1px 0;

  &:hover {
    opacity: .9;
  }

  &:active {
    background-color: $dark-lime-color;
  }

  @media screen and (max-width: 530px) {
    width: 100%;
    margin-top: 40px;
    padding-top: 15px;
    padding-bottom: 15px;
  }
}

@mixin login-form-show-hide-password {
  position: absolute;
  top: 30px;
  right: 10px;
  padding: 0;
}

@mixin login-form-error-mg {
  position: absolute;
  bottom: -15px;
  left: 0;
  display: inline-block;
  width: 100%;
  color: tomato;
  font-size: 12px;
  line-height: 12px;
}

@mixin custom-checkbox {
  position: absolute;
  z-index: -1;
  opacity: 0;
}